FileAlertConditionEvaluatorStateRepository (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.FileAlertConditionEvaluatorStateRepository class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class FileAlertConditionEvaluatorStateRepository

    java.lang.Object
      org.hyperic.hq.events.server.session.FileAlertConditionEvaluatorStateRepository

All Implemented Interfaces:
  AlertConditionEvaluatorStateRepository

    public class FileAlertConditionEvaluatorStateRepository

extends java.lang.Object
implements AlertConditionEvaluatorStateRepository

Implementation of `AlertConditionEvaluatorRepository` that stores and retrieves by serialzing state to/from a file

Field Summary
`static java.lang.String` | `EVALUATOR_STATE_FILE_NAME`
`static java.lang.String` | `EXECUTION_STRATEGY_FILE_NAME`

Constructor Summary
`FileAlertConditionEvaluatorStateRepository(java.io.File storageDirectory)`

Method Summary
`java.util.Map` | `getAlertConditionEvaluatorStates()`
`java.util.Map` | `getExecutionStrategyStates()`
`void` | `saveAlertConditionEvaluatorStates(java.util.Map alertConditionEvaluatorStates)` Persists states of `AlertConditionEvaluator`s
`void` | `saveExecutionStrategyStates(java.util.Map executionStrategyStates)` Persists states of `ExecutionStrategy`s

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVALUATOR_STATE_FILE_NAME

    public static final java.lang.String EVALUATOR_STATE_FILE_NAME

See Also:
  Constant Field Values

### EXECUTION_STRATEGY_FILE_NAME

    public static final java.lang.String EXECUTION_STRATEGY_FILE_NAME

See Also:
  Constant Field Values

Constructor Detail

### FileAlertConditionEvaluatorStateRepository

    public FileAlertConditionEvaluatorStateRepository(java.io.File storageDirectory)

Parameters:
  `storageDirectory` - The directory in which to write and read serialized object files

Method Detail

### getAlertConditionEvaluatorStates

    public java.util.Map getAlertConditionEvaluatorStates()

  Specified by:
    `getAlertConditionEvaluatorStates` in interface `AlertConditionEvaluatorStateRepository`
  Returns:
    A Map where key is alert definition ID and value is the Serializable stored state of the `AlertConditionEvaluator` with that ID.

### getExecutionStrategyStates

    public java.util.Map getExecutionStrategyStates()

  Specified by:
    `getExecutionStrategyStates` in interface `AlertConditionEvaluatorStateRepository`
  Returns:
    A Map where key is alert definition ID and value is the Serializable stored state of the `ExecutionStrategy` with that ID.

### saveAlertConditionEvaluatorStates

    public void saveAlertConditionEvaluatorStates(java.util.Map alertConditionEvaluatorStates)

  Description copied from interface: `AlertConditionEvaluatorStateRepository`
  Persists states of `AlertConditionEvaluator`s

  Specified by:
    `saveAlertConditionEvaluatorStates` in interface `AlertConditionEvaluatorStateRepository`
  Parameters:
    `alertConditionEvaluatorStates` - A Map where key is alert definition ID and value is the Serializable state of the `AlertConditionEvaluator` with that ID.

### saveExecutionStrategyStates

    public void saveExecutionStrategyStates(java.util.Map executionStrategyStates)

  Description copied from interface: `AlertConditionEvaluatorStateRepository`
  Persists states of `ExecutionStrategy`s

  Specified by:
    `saveExecutionStrategyStates` in interface `AlertConditionEvaluatorStateRepository`
  Parameters:
    `executionStrategyStates` - A Map where key is alert definition ID and value is the Serializable state of the `ExecutionStrategy` with that ID.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.